/*
    全局配置
    主色调：#DE2002
    z-index属性最高值：1000
    weui遮罩层（weui-popup__container）：900
    顶部固定组件容器(top-fixed-box)：850
    过期提示盒子（expired-box）：860
    通用顶部导航（unified-header）：800
    底部导航（nav）：700
    顶部轮播导航（nav-menu-out）：700
    列表页组件（modular）：700
    选择品牌确定按钮（btn-submit-box）：700
    添加文章或商品按钮（edit-box）700
    文章详情页咨询或修改按钮（btn-advisory）700
*/

* {
    margin: 0;
    padding: 0;
}

html {
    font-size: 17.0667px;
}

html,
body {
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    box-sizing: border-box;
    -webkit-overflow-scrolling: touch;
    color: #4A4A4A;
    position: relative;
    font-family: "Microsoft YaHei", "微软雅黑";
    -webkit-text-size-adjust: 100% !important;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    text-size-adjust: 100% !important;
}

body {
    word-wrap: break-word;
    background-color: #F2F2F2;
    font-size: 16px;
    line-height: normal;
    padding-bottom: 2.5rem;
    padding-bottom: calc(2.5rem + constant(safe-area-inset-bottom));
    padding-bottom: calc(2.5rem + env(safe-area-inset-bottom));
}

body.edit {
    padding-bottom: 0;
    padding-bottom: constant(safe-area-inset-bottom);
    padding-bottom: env(safe-area-inset-bottom);
}

body.foremost.true {
    padding-top: 2.5rem;
}

body.no-bottom {
    padding-bottom: 0;
}

a {
    text-decoration: none !important;
}

p {
    margin: 0;
    word-break: break-all;
}

img {
    width: 100%;
    display: block;
}

body>section {
    width: 100%;
    position: relative;
}

[data-page=mallDetail] .btn-edit-product,
.btn-advisory {
    position: fixed;
    z-index: 800;
    width: 2.625rem;
    bottom: 4.8rem;
    right: 0;
}

[data-page=mallDetail] .btn-edit-product {
    height: 1.7325rem;
}

[data-page=articleDetail] .btn-advisory {
    right: .3rem;
    bottom: 10.5rem;
}

[data-page=articleDetail] .btn-advisory.edit {
    width: 3.8rem;
    height: auto;
    bottom: 5rem;
    right: 0;
}

[data-page=articleDetail] .btn-advisory.matching {
    right: .3rem;
    bottom: 7.4rem;
}

.avatar-box {
    position: relative;
}

.avatar-box .avatar {
    width: 100%;
    height: 100%;
    display: block;
    border-radius: .2rem;
    /* background-color: #979797; */
}

.avatar-box .avatar.cover {
    background-size: cover;
    background-position: center;
}

.avatar-box .avatar-icon {
    position: absolute;
    right: 0;
    bottom: 0;
    width: .75rem;
    height: .75rem;
    display: block;
}


/*主色调-文字*/

.color-main {
    color: #DE2002 !important;
}


/*主色调-背景*/

.bg-main {
    background-color: #DE2002 !important;
}

.border-main {
    border-color: #DE2002 !important;
}


/*文本限制行数 start*/

.stint-row {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
}


/*文本限制行数 end*/


/*热卖置顶tag start*/

.tag-selling {
    position: absolute;
    left: 0;
    top: 0;
    width: 3rem;
    height: 1rem;
    text-align: center;
    color: #fff;
    font-size: .6rem;
    line-height: 1.1rem;
    background-image: url(/home/views/zx99_wx/images/bg_hot.svg);
    background-size: cover;
}


/*热卖置顶tag end*/


/*顶部固定组件外盒 start*/

.top-fixed-box {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    height: auto;
    z-index: 850;
    background-color: #fff;
}

.top-fixed-box.offset-bottom {
    /*带底部边界线*/
    border-bottom: 1px solid #F2F2F2;
}

.top-fixed-box.max-z-index {
    /*将顶部悬浮盒子层级定为最高*/
    z-index: 950;
}


/*顶部固定组件外盒 end*/


/*通用顶部header start*/

.unified-header {
    background-color: #fff;
    color: #fff;
    height: 2.15rem;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: justify;
    justify-content: center;
    position: relative;
    z-index: 800;
    width: 100%;
    border-bottom: 1px solid rgba(0, 0, 0, 0.12);
    /*box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);*/
}

.unified-header.fixed {
    position: fixed;
    top: 0;
    left: 0;
}

.unified-header.medium {
    height: 2.5rem;
}

.unified-header .back {
    word-break: keep-all;
    color: #fff;
    box-sizing: content-box;
    position: absolute;
    left: 0;
    top: 0;
    padding: .6rem .435rem .6rem .875rem;
}

.unified-header.medium .back {
    top: .1rem;
    transform: unset;
}

.unified-header .back>img {
    width: .6rem;
    height: .975rem;
}

.unified-header.medium .back>img {
    width: .7rem;
    height: 1.15rem;
}

.unified-header .title {
    font-size: .8rem;
    font-weight: 500;
    text-shadow: 0 0 0 #4A4A4A;
    color: #4A4A4A;
    border: 0;
    position: absolute;
    left: 2.425rem;
    max-width: 70%;
    height: 2.15rem;
    line-height: 2.3rem;
    padding: 0;
    background: unset;
}

.unified-header.medium .title {
    left: 15%;
    top: 0;
    line-height: 2.65rem;
    height: 2.5rem;
    transform: unset;
    width: 100%;
    text-align: center;
}


/*通用顶部header end*/


/*底部导航-换成我的 start*/

.change-mine {
    position: fixed;
    z-index: 698;
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
    color: #fff;
    font-size: 20px;
    text-shadow: 0 0 0 #fff;
    background-color: #ec391b;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    box-shadow: 0px -2px 4px 0px rgba(0, 0, 0, 0.12);
}

.change-mine .change-text {
    max-width: 50%;
    line-height: 2.22rem;
    height: 2.22rem;
    position: relative;
}

.change-mine .change-text::after {
    content: '';
    width: 160%;
    height: 100%;
    position: absolute;
    left: -30%;
    top: 0;
    z-index: -1;
    background-image: url(/home/views/zx99_wx/images/bg_change_mime.gif);
    background-size: 100% 2.22rem;
    background-repeat: no-repeat;
    background-position: center;
}


/*底部导航-换成我的 end*/


/*底部导航 start*/

.nav {
    width: 100%;
    height: 2.5rem;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: space-around;
    -webkit-justify-content: space-around;
    -ms-flex-pack: space-around;
    justify-content: space-around;
    position: fixed;
    z-index: 700;
    box-sizing: content-box;
    left: 0;
    bottom: 0;
    bottom: constant(safe-area-inset-bottom);
    bottom: env(safe-area-inset-bottom);
    padding-bottom: 2.3rem;
    padding-bottom: constant(safe-area-inset-bottom);
    padding-bottom: env(safe-area-inset-bottom);
    margin-bottom: -2.3rem;
    margin-bottom: calc(-1 * constant(safe-area-inset-bottom));
    margin-bottom: calc(-1 * env(safe-area-inset-bottom));
    box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.15);
    background-color: #fff;
}

.nav .link {
    width: auto;
    height: 100%;
    -webkit-box-flex: 1;
    -moz-box-flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-orient: vertical;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    position: relative;
    z-index: 100;
    color: #4A4A4A;
}

.nav .nav-icon {
    width: auto;
    height: 1rem;
    margin: .08rem 0 .3rem;
}

.nav .nav-icon.large,
.nav .nav-icon.avatar {
    width: 2rem;
    height: 2rem;
    background-color: #fff;
    object-fit: cover;
    border-radius: 100%;
    border: 3px solid #fff;
    margin-top: calc(-1rem - 6px);
}

.nav .badge {
    position: absolute;
    left: calc(50% + .275rem);
    top: -.25rem;
}

.nav .link span {
    font-size: .7rem;
    line-height: .72rem;
    z-index: 100;
    /*color: #DE2002;*/
    color:#333;
}


/*底部导航 end*/


/*底部导航2-按钮选项 start*/

.nav-second {
    position: fixed;
    z-index: 700;
    width: calc(100% - 1.5rem);
    bottom: 0;
    left: 0;
    padding: .75rem;
    text-align: center;
}

.nav-second.bg {
    background-color: #fff;
}

.nav-second.edit-input {
    position: relative;
    margin-top: 1.5rem;
    margin-bottom: 1rem;
    padding-bottom: 0;
}

.nav-second .submit-box {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: space-between;
    -webkit-justify-content: space-between;
    -ms-flex-pack: space-between;
    justify-content: space-between;
}

.nav-second .submit-box .btn {
    width: 100%;
    height: 1.75rem;
    border-radius: .375rem;
    background-color: #D8D8D8;
    color: #4A4A4A;
    font-size: .75rem;
    line-height: 1.75rem;
}

.nav-second .submit-box .btn.submit {
    background-color: #0A9D28;
    color: #fff;
    margin-left: .5rem;
}

.nav-second .submit-box .btn.submit.shadow {
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.5);
}


/*底部导航2-按钮选项 end*/


/*底部导航2-按钮选项-无提示字符 start*/

.nav-second.tip-prompt .submit-box {
    margin-bottom: 1rem;
}

.nav-second.tip-prompt {
    padding: .2rem .75rem 1.25rem;
}

.nav-second.tip-prompt .tip {
    font-size: .65rem;
    font-weight: 400;
    color: #9B9B9B;
    line-height: .925rem;
}


/*底部导航2-按钮选项-无提示字符 end*/


/*底部导航4-产品详情页底部 start*/

.nav-product .link {
    -webkit-box-orient: unset;
    -webkit-flex-direction: unset;
    -ms-flex-direction: unset;
    flex-direction: unset;
    color: #b6b6b6;
}

.nav-product .link:nth-child(2) {
    background-color: #059747;
    color: #fff;
}

.nav-product .link:nth-child(3) {
    background-color: #F7A700;
    color: #fff;
}

.nav-product .link>.icon {
    width: 1rem;
    height: 1rem;
    margin-right: .5rem;
}

.nav-product .link>span {
    color: inherit;
    font-size: 16px;
    font-weight: 400;
    line-height: .825rem;
}


/*底部导航4-产品详情页底部 end*/


/*编辑内容-伪界面 start*/

.popup-edit {
    background-color: #fff;
}

.weui-popup__container .weui-cells.form-textarea {
    margin: .5rem .75rem;
    height: 5.5rem;
    border: 1px solid #979797;
    font-size: .65rem;
    line-height: .925rem;
}

.form-textarea:after,
.form-textarea:before {
    content: unset;
}

.form-textarea>.weui-cell {
    height: 100%;
    box-sizing: border-box;
    padding: .25rem .4rem .25rem .5rem;
}

.form-textarea>.weui-cell>.weui-cell__bd {
    height: 100%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
}

.form-textarea>.weui-cell>.weui-cell__bd textarea {
    -webkit-box-flex: 1;
    -moz-box-flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.form-textarea .weui-textarea-counter {
    color: #E31F01;
}


/*编辑内容-伪界面 end*/


/*重置weui样式 start*/

span.popup-btn-close {
    width: 1rem;
    height: 1rem;
    display: block;
    position: absolute;
    top: 0;
    right: .75rem;
}

span.popup-btn-close::before,
span.popup-btn-close::after {
    content: '';
    width: 1rem;
    height: 3px;
    background-color: #bbb;
    position: absolute;
    right: 0;
    top: 50%;
    border-radius: 10px;
}

span.popup-btn-close::before {
    transform: rotate(45deg);
}

span.popup-btn-close::after {
    transform: rotate(-45deg);
}

span.popup-btn-close.bg::before,
span.popup-btn-close.bg::after {
    right: unset;
    top: 50%;
    margin-left: -.46rem;
}

.reg-info.weui-popup__container,
.reg-info .weui-popup__overlay {
    z-index: 960;
}

.reg-info .weui-cells_form {
    margin: 0 .75rem .8rem !important;
}

.reg-info .weui-cells_form .weui-label {
    width: 60px;
}

.reg-info .popup-box .title {
    width: 80%;
    margin: 0 auto;
}

.reg-info .popup-box .sub-title {
    text-align: left;
    font-size: 14px;
    color: red;
    width: 90%;
    margin: 0 auto .2rem;
}

.reg-info .popup-box .submit-box {
    display: block;
    padding: 0 1.5rem 1rem;
    border: 0;
}

.reg-info .popup-btn-close {
    top: .75rem;
    right: .85rem;
}

.reg-info .title {
    padding-right: .8rem;
}

.weui-textarea {
    font-size: 1.2em;
}

.weui-textarea:disabled {
    background-color: unset;
}

.weui-loadmore_line .weui-loadmore__tips {
    top: unset;
    transform: translateY(-50%);
}

.weui-loadmore_line .weui-loadmore__tips.link {
    text-decoration: underline !important;
    color: #007cff;
}

.weui-loadmore__tips.gray {
    background-color: #F2F2F2;
}

.weui-popup__container.popup-down .weui-popup__modal {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    /*将popup出现方向改为从上到下*/
    transform: translate3d(0, -100%, 0);
    /*将popup出现方向改为从上到下*/
}

.weui-popup__overlay.bg-black {
    background-color: rgba(0, 0, 0, .85);
}

.weui-popup__container,
.weui-popup__overlay {
    z-index: 900;
}

.weui-popup__container.popup-top .weui-popup__modal {
    top: 0;
    bottom: unset;
}

.weui-switch-cp__input:checked~.weui-switch-cp__box.switch-main-color,
.weui-switch.switch-main-color:checked {
    border-color: #E21F00;
    background-color: #E21F00;
}

.weui-popup__container--visible .weui-popup__modal {
    z-index: 1000;
    opacity: 1 !important;
    -webkit-transform: translate3d(0, 0, 0) !important;
    transform: translate3d(0, 0, 0) !important;
}

.weui-toast .weui-icon_toast:not(.weui-loading) {
    margin: 12px 0 6px;
}

.weui-toast:not(.weui-toast--text) .weui-toast_content {
    padding: 0 .4rem .4rem;
}


/*重制confirm窗*/

.weui-mask {
    background: rgba(0, 0, 0, .75);
}

.weui-dialog {
    width: 90%;
    max-width: unset;
}

.weui-dialog .weui-dialog__hd {
    padding-top: .8em;
}

.weui-dialog .weui-dialog__title {
    color: #5d5d5d;
}

.weui-dialog .weui-dialog__bd {
    font-size: 20px;
    line-height: 1.6;
    color: #000000;
}

.weui-dialog .weui-dialog__btn.primary {
    background-color: #3cc51f;
    color: #fff;
}

.weui-dialog__btn:after {
    display: none;
}


/*重置weui样式 end*/


/*重制版weui-popup弹窗*/

.popup-box {
    background-color: #fff;
    margin: 0 auto;
    left: 0;
    right: 0;
    padding-top: .75rem;
    box-sizing: border-box;
    text-align: center;
    overflow: hidden;
}

.popup-box.centered {
    /*居中带圆角中等弹窗*/
    border-radius: .5rem;
    width: calc(100% - 3rem);
    margin-top: 3.75rem;
}

.popup-box.more-article {
    margin-top: 2rem;
    width: calc(100% - 1.5rem);
}

.popup-box .title {
    font-size: 20px;
    font-weight: 400;
    text-shadow: 0 0 0 #28292C;
    color: #28292C;
    line-height: 2.5rem;
}

.popup-box .title.medium {
    font-size: 17px;
}

.popup-box .title.bg {
    background-color: #f1f1f1 !important;
    color: #333 !important;
    margin-top: -.75rem;
    margin-left: -5%;
    width: 110%;
}

.popup-box .submit-box {
    height: 2rem;
    line-height: 2.2rem;
    border-top: 1px solid #D1CACA;
    font-size: .8rem;
    /*font-weight: bold;*/
    z-index: 100;
    position: relative;
    background-color: #fff;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: space-around;
    -webkit-justify-content: space-around;
    -ms-flex-pack: space-around;
    justify-content: space-around;
}

.popup-box .submit-box .btn {
    width: 100%;
    height: 100%;
    display: inline-block;
    letter-spacing: .5rem;
    padding-left: .25rem;
    /*font-weight: bold;*/
}

.popup-box .submit-box .btn.submit {
    color: #1EA239;
    text-shadow: 0 0 0 #1EA239;
    border-left: 1px solid #D1CACA;
}

.popup-box .submit-box .btn.cancel {
    color: #4A4A4A;
    text-shadow: 0 0 0 #4A4A4A;
}

.popup-box .popup-form {
    margin: 0 .75rem 1.5rem;
    border: 1px solid #979797;
}

.popup-box .popup-form::before,
.popup-box .popup-form::after {
    border: 0;
    height: 0;
}

.popup-box .popup-form>.weui-cell {
    padding: .375rem .375rem .25rem;
}

.popup-box .popup-form>.weui-cell .weui-textarea {
    font-size: .7rem;
    color: #28292C;
    line-height: 1rem
}

.popup-box .popup-form>.weui-cell .weui-textarea-counter {
    font-size: .65rem;
    color: #E31F01;
    line-height: .925rem;
}


/*右下角按钮-添加xxx start*/

.edit-box {
    position: fixed;
    z-index: 700;
    background: linear-gradient(117deg, #fa2500 0%, #e01e00 100%);
    border-radius: .9rem;
    opacity: 0.9;
    bottom: 5.325rem;
    right: .9rem;
    width: auto;
    padding: .5rem;
    color: #fff;
    font-size: .65rem;
    font-weight: 400;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.edit-box .icon {
    width: .8rem;
    height: .8rem;
}

.edit-box>span {
    margin-left: .35rem;
}


/*右下角按钮-添加xxxx end*/